UMOCKDEV-RECORD(1)

NAME
umockdev-record - Record devices and ioctls

DESCRIPTION

  Usage:

    umockdev-record [OPTION???] DEVICE [...]

Record Linux devices and their ancestors from sysfs/udev, or record ioctls for a device.

  Help Options:

-h, --help
    Show help options

  Application Options:

-a, --all
    Record all devices

-i, --ioctl=devname=FILE
    Trace ioctls on the device, record into given file. In this case, all positional arguments are a command (and its arguments) to run that gets traced.

-s, --script=devname=FILE
    Trace reads and writes on the device, record into given file. In this case, all positional arguments are a command (and its arguments) to run that gets traced. Can be specified multiple times.

-e, --evemu-events=devname=FILE
    Trace evdev event reads on the device, record into given file in EVEMU event format. In this case, all positional arguments are a command (and its arguments) to run that gets traced. Can be specified multiple times.

--version
    Output version information and exit